[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.States

Contains active state flags for the tree node.

## Declaration

Source position: comctrls.pp line 3174

`public property TTreeNode.States : TNodeStates read FStates;`

## Description

States is a read-only TNodeStates properties which contains active state flags for the tree node. TNodeState enumeration values are included in or excluded from the set type as needed in methods for the tree node, the TreeNodes container, and the associated TreeView control.

## See also

TNodeState |  | Enumerated type denoting the state for a TreeNode.
TTreeViewStates |  | Set type used to store values from the TTreeViewState enumeration.
TTreeViewState |  | TTreeViewState - enumerated type containing the permissible values for state of a TTreeView.